Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2049420 - perl-CryptX: FTBFS in Fedora 35
Summary: perl-CryptX: FTBFS in Fedora 35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CryptX
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-02 08:30 UTC by Jitka Plesnikova
Modified: 2022-02-05 01:21 UTC (History)
1 user (show)

Fixed In Version: perl-CryptX-0.053-24.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-05 01:21:49 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2011184 1 None None None 2022-02-02 10:24:30 UTC

Description Jitka Plesnikova 2022-02-02 08:30:25 UTC
Description of problem:
Package perl-CryptX fails to build from source with perl-Math-BigInt-1.9998.25 in Fedora 35.

Please add commit below to Fedora 35:
commit 4e3a4be4427d2fb1e4bd6c7fbf15e59fd16a318d
Author: Petr Písař <ppisar>
Date:   Wed Oct 6 10:53:43 2021 +0200

    Adapt to changes in Math-BigInt-1.999825


Steps to Reproduce:
koji build --scratch f35 perl-CryptX-0.053-22.fc35.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/perl-Crypt

Comment 1 Fedora Update System 2022-02-02 11:09:02 UTC
FEDORA-2022-6dea660f8b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6dea660f8b

Comment 2 Fedora Update System 2022-02-03 01:34:16 UTC
FEDORA-2022-6dea660f8b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-6dea660f8b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6dea660f8b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-02-05 01:21:49 UTC
FEDORA-2022-6dea660f8b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.